fop 1.1

## org.apache.fop.util
Class ColorProfileUtil

    java.lang.Object
      org.apache.fop.util.ColorProfileUtil

Deprecated. use org.apache.xmlgraphics.java2d.color.profile.ColorProfileUtil directly

    public final class ColorProfileUtil

extends java.lang.Object

Helper methods for handling color profiles.

Method Summary
`static java.lang.String` `getICCProfileDescription(java.awt.color.ICC_Profile profile)` Deprecated. use org.apache.xmlgraphics.java2d.color.profile.ColorProfileUtil directly
`static boolean` `isDefaultsRGB(java.awt.color.ICC_Profile profile)` Deprecated. use org.apache.xmlgraphics.java2d.color.profile.ColorProfileUtil directly

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getICCProfileDescription

    public static java.lang.String getICCProfileDescription(java.awt.color.ICC_Profile profile)

  Deprecated. use org.apache.xmlgraphics.java2d.color.profile.ColorProfileUtil directly

  Returns the profile description of an ICC profile

  Parameters:
    `profile` - the profile
  Returns:
    the description

### isDefaultsRGB

    public static boolean isDefaultsRGB(java.awt.color.ICC_Profile profile)

  Deprecated. use org.apache.xmlgraphics.java2d.color.profile.ColorProfileUtil directly

  Indicates whether a given color profile is identical to the default sRGB profile provided by the Java class library.

  Parameters:
    `profile` - the color profile to check
  Returns:
    true if it is the default sRGB profile

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.